%define upstream_name    Digest-SHA-PurePerl
%define upstream_version 6.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl implementation of SHA-1/224/256/384/512
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MS/MSHELOR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FileHandle)
BuildRequires: perl-devel
BuildArch:  noarch

Conflicts:   perl-Digest-SHA < 5.610.0-2.mga

%description
Digest::SHA::PurePerl is a complete implementation of the NIST
Secure Hash Standard.  It gives Perl programmers a convenient way
to calculate SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message
digests.  The module can handle all types of input, including
partial-byte data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor -d
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/Digest/SHA/PurePerl.pm
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/*

%changelog
* Sat Aug 13 2022 tv <tv> 6.30.0-1.mga9
+ Revision: 1877438
- update to 6.03

* Sun Mar 20 2022 umeabot <umeabot> 6.20.0-4.mga9
+ Revision: 1808821
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 6.20.0-3.mga8
+ Revision: 1503878
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.20.0-2.mga7
+ Revision: 1282972
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 6.20.0-1.mga7
+ Revision: 1221555
- update to 6.02

* Tue Dec 26 2017 shlomif <shlomif> 6.10.0-1.mga7
+ Revision: 1185264
- update to 6.01

* Sun Dec 10 2017 shlomif <shlomif> 6.0.0-1.mga7
+ Revision: 1182008
- update to 6.00

* Tue Oct 24 2017 shlomif <shlomif> 5.980.0-1.mga7
+ Revision: 1173472
- New version 5.98

* Mon Oct 02 2017 tv <tv> 5.970.0-2.mga7
+ Revision: 1164087
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 5.970.0-1.mga7
+ Revision: 1159614
- update to 5.97

* Sun Jun 19 2016 pterjan <pterjan> 5.950.0-3.mga6
+ Revision: 1025797
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 5.950.0-2.mga6
+ Revision: 966003
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 5.950.0-1.mga6
+ Revision: 839391
- update to 5.95

* Sun Oct 19 2014 umeabot <umeabot> 5.920.0-4.mga5
+ Revision: 788794
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 5.920.0-3.mga5
+ Revision: 744989
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.920.0-2.mga5
+ Revision: 684370
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 5.920.0-1.mga5
+ Revision: 632931
- update to 5.92

* Tue May 20 2014 jquelin <jquelin> 5.910.0-1.mga5
+ Revision: 624226
- update to 5.91

* Tue May 06 2014 jquelin <jquelin> 5.890.0-1.mga5
+ Revision: 620579
- update to 5.89

* Thu Mar 20 2014 jquelin <jquelin> 5.880.0-1.mga5
+ Revision: 606149
- update to 5.88

* Mon Feb 24 2014 jquelin <jquelin> 5.870.0-1.mga5
+ Revision: 596247
- update to 5.87

* Mon Feb 10 2014 jquelin <jquelin> 5.860.0-1.mga5
+ Revision: 588358
- update to 5.86

* Mon Oct 21 2013 umeabot <umeabot> 5.850.0-2.mga4
+ Revision: 537084
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 5.850.0-1.mga4
+ Revision: 486234
- update to 5.85

* Fri Jun 07 2013 jquelin <jquelin> 5.840.0-1.mga4
+ Revision: 439061
- update to 5.84

* Sun Jan 13 2013 umeabot <umeabot> 5.800.0-2.mga3
+ Revision: 365940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 5.800.0-1.mga3
+ Revision: 342077
- update to 5.80

* Tue Nov 06 2012 jquelin <jquelin> 5.730.0-1.mga3
+ Revision: 315042
- update to 5.73

* Wed Sep 26 2012 jquelin <jquelin> 5.720.0-1.mga3
+ Revision: 297971
- update to 5.72

* Mon Mar 05 2012 jquelin <jquelin> 5.710.0-1.mga2
+ Revision: 218713
- update to 5.71

* Thu Dec 15 2011 jquelin <jquelin> 5.700.0-1.mga2
+ Revision: 181799
- update to 5.70

* Thu Nov 10 2011 kharec <kharec> 5.630.0-1.mga2
+ Revision: 166324
- update to 5.63

* Wed Jun 15 2011 jquelin <jquelin> 5.620.0-1.mga2
+ Revision: 106829
- update to 5.62

* Mon Apr 04 2011 jquelin <jquelin> 5.610.0-2.mga1
+ Revision: 80347
- fix bug#607 - urpmi hints to upgrade perl-Digest-SHA & perl-Digest-SHA-PurePerl in same transaction

* Thu Mar 10 2011 jquelin <jquelin> 5.610.0-1.mga1
+ Revision: 67620
- update to 5.61
- update to 5.61

* Thu Mar 10 2011 jquelin <jquelin> 5.600.0-2.mga1
+ Revision: 67403
- mmf. moving stuff needs to be done inside %%{buildroot}
- prevent conflict with perl-Digest-SHA

* Wed Mar 09 2011 jquelin <jquelin> 5.600.0-1.mga1
+ Revision: 66979
- update to 5.60
- update to 5.60

* Fri Jan 21 2011 jquelin <jquelin> 5.500.0-1.mga1
+ Revision: 30178
- mageia rebuild
- imported package perl-Digest-SHA-PurePerl

